import request from '@/utils/request';
//查询所有专项文档管理项目管理
export function projectList() {
    return request({
        url: '/specialDocument/project/list',
        method: 'post',
    });
}
//获取变电站树形结构
export function getNodesTree(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/getNodesTree',
        method: 'post',
        params:queryParams
    });
}
//增加专项文档节点
export function addNodes(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/addNodes',
        method: 'post',
        data:queryParams
    });
}
// /修改专项文档节点
export function updateNodes(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/updateNodes',
        method: 'post',
        data:queryParams
    });
}
//删根据ID删除专项文档管理项目管理
export function deleteNodesById(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/deleteNodesById',
        method: 'post',
        params:queryParams
    });
}